Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 119269 - Cannot boot from Primary/Slave with grub, while I can with BIOS
Cannot boot from Primary/Slave with grub, while I can with BIOS
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-28 05:21 EST by Jean-Dominique Delyon
Modified: 2007-04-18 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:22:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Dominique Delyon 2004-03-28 05:21:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.6)
Gecko/20040113

Description of problem:
I have two disks:
The first one is my OLD Primary/Master disk, with Windows 98 SE and
RedHat 8.0. Boot is choosen through Lilo.
The second one is my NEW Primary/Master (the preceding one being now
the Primary/Slave), with Windows XP and RedHat 9.0.

Both disks have the same organisations:
First partition is Linux-/boot,
Second partition is Windows-C:,
Other partitions are for Windows or Linux, partitions for Windows
being readable from Linux. Total number of partitions is 11 on each disk.

When I boot from the BIOS on each disk, it runs correctly.
I can do it, on the old one, either by setting back the old disk to
IDE0 (Primary/Master), or by asking my BIOS to boot from IDE1
(Primary/Slave). In both cases, Lilo screen is displayed and I can
select which system I want to run.
I can do it, on the new one, by letting it being IDE0
(Primary/Master), and asking the BIOS to boot from it. On the grub
screen which appears, I have added a choice to boot from my old
Windows system (so, I have RedHat, Windows XP and Windows 98). This
third choice was added by the RedHat installation disk.

But I cannot boot any more to Windows 98: The two grub commands
(rootnoverify (hd1,1) and chainloader +1) are displayed, and the
system halts.

I have tried, as suggested in bug #89522, to add one or two map
commands, at the beginning, to swap hdba and hdb (of course, changing
to rootnoverify (hd0,1)), but the result is the same (my new commands
are displayed, but the symptom remains unchanged).

So, what should I do?


Version-Release number of selected component (if applicable):
Version provided during installation

How reproducible:
Always

Steps to Reproduce:
1. Create a disk with Linux & Windows (Windows being on hda2)
2. Switch between them with Lilo
3. Set this disk to Primary/Slave
4. Check that it still run if you ask the BIOS to boot from this disk
5. Add a new disk, with Linux & Windows
6. Switch between them with grub, and add a choice to boot from the
old disk, on Windows
7. Try to boot on the old Windows disk with grub.

Actual Results:  It does not work: System is hanging.

Expected Results:  System should boot on the old Windows system.

Additional info:

I have not requested the system to boot from the old Linux RedHat system.
Comment 1 Peter Jones 2005-01-11 18:27:17 EST
I think this is a limitation in your version of Windows.  Try putting it on a
primary partition?
Comment 2 Bill Nottingham 2006-08-05 01:31:56 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 14:22:22 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.